@import url('https://fonts.googleapis.com/css2?family=Muli&display=swap');

:root {
  --line-border-fill: #3498DB;
  --line-border-empty: #E0E0E0;

}
* {
  box-sizing: border-box;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  
  margin: 0;
  block-size: 100vh;

  font-family: 'Muli', sans-serif;
  background-color: #F6F7FB;
  overflow: hidden;
}

.container {
  text-align: center;
}

.progress-container {
  position: relative;
  display: flex;
  justify-content: space-between;
  margin-block-end: 2rem;
  max-width: 100%;
  inline-size: 21.875rem;
}
.progress-container::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 0;
  z-index: -1;
  
  inline-size: 100%;
  block-size: 4px;

  background-color: var(--line-border-empty);
  transform: translateY(-50%);
}
.progress {
  position: absolute;
  top: 50%;
  left: 0;
  z-index: -1;

  inline-size: 0%;
  block-size: 4px;

  background-color: var(--line-border-fill);
  transform: translateY(-50%);
  transition: .4s ease;
}

.circle {
  display: flex;
  justify-content: center;
  align-items: center;

  border-radius: 50%;
  inline-size: 1.875rem;
  block-size: 1.875rem;

  border: 3px solid var(--line-border-empty);
  background-color: #FFF;
  color: #999;
  transition: .4s ease;
}

.circle.active {
  border-color: var(--line-border-fill);
}

.btn {
  margin: 5px;
  padding: 8px 30px;
  border-radius: 6px;
  border: 0;
  background-color: var(--line-border-fill);
  color: #FFF;
  font-size: 14px;
  font-family: inherit;
  cursor: pointer;
}

.btn:active{
  transform: scale(.98);
}

.btn:focus {
  outline: 0;
}

.btn:disabled{
  background-color: var(--line-border-empty);
  cursor: not-allowed;
}